Subject: Re: [mobile-ip] processing of the home address option

From: Erik Nordmark <[email-masked]>
Date: Fri, 7 Sep 2001 16:29:08 +0200 (CEST)

> The intention was to make sure that processing the home address
> option would cause the mobile node's home address to be delivered
> to the higher level protocols at the correspondent node, while still
> allowing the care-of address to be visible at the IP layer.  The
> restriction about when the processing occurs should probably be
> removed, because it does not matter how an implementation ensures
> the correct property of the home address option (as long as it does
> ensure it).  Currently, the care-of address doesn't serve any
> purpose past this point, and would not have to be maintained by
> the implementation after processing at the network layer.

Well, in order to be able to satisfy the spirit of section 13.2
an implementation should be able to carry the the source (CoA) address
to the transports and applications.

For instance, if TCP detects that it is subject to a SYN attack and wants
to log the source of those packets it would be desired to log both
the CoA and the home address, since the CoA would indicate the topologically
correct source address when ingress filtering is in use.

   Erik

---

From: "Charles E. Perkins" <[email-masked]>
Date: Fri, 07 Sep 2001 07:42:48 -0700

> correct source address when ingress filtering is in use.

Agreed.  Is this something you think ought to be written up in
the specification?  I'd lean towards not including it unless
you think it's important (and, might I ask, supply text?).

Regards,
Charlie P.